%define upstream_name clamd

Name:           python-%{upstream_name}
Version:        1.0.1
Release:        %mkrel 8
Summary:        Python interface to Clamd (Clamav daemon)
Group:          Development/Python
License:        LGPL
URL:            https://pypi.python.org/pypi/clamd
Source0:        https://pypi.python.org/packages/source/c/clamd/clamd-%{version}.zip
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
clamd is a portable Python module to use the ClamAV anti-virus engine on
Windows, Linux, MacOSX and other platforms. It requires a running instance of
the clamd daemon.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%doc CHANGES.rst README.rst
%{python_sitelib}/clamd.py*
%{python_sitelib}/clamd-%{version}-*.egg-info


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.0.1-8.mga6
+ Revision: 939879
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-7.mga5
+ Revision: 743632
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-6.mga5
+ Revision: 728182
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 687932
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 544942
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.1-2.mga4
+ Revision: 500492
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 guillomovitch <guillomovitch> 1.0.1-1.mga4
+ Revision: 468873
- imported package python-clamd

